---
id: teamctgame
replaces:
  - casatorrent
name: Team CT Game
description: "Team CT Game (TCTG) is a FRENCH Private Torrent Tracker for MOVIES / TV / GENERAL"
language: fr-FR
type: private
encoding: UTF-8
requestDelay: 2
links:
  - https://tctg.pm/
legacylinks:
  - https://teamctgame.co/
  - http://teamctgame.xyz/
  - https://teamctgame.xyz/
  - https://tctg.in/

caps:
  # dont forget to update the path categories in the search block
  categorymappings:
    - {id: 409, cat: Books/Comics, desc: "BD", default: true}
    - {id: 410, cat: Books/Mags, desc: "Ebooks - Presse", default: true}
    - {id: 411, cat: Audio/Audiobook, desc: "Ebooks - Audiobooks", default: true}
    - {id: 412, cat: Books/EBook, desc: "Ebooks - Ebooks", default: true}
    - {id: 413, cat: Movies/3D, desc: "Films - 3D", default: true}
    - {id: 414, cat: Movies/HD, desc: "Films - 4K", default: true}
    - {id: 415, cat: Movies/UHD, desc: "Films - 4K HDR", default: true}
    - {id: 416, cat: Movies/UHD, desc: "Films - 4K Light", default: true}
    - {id: 417, cat: Movies/UHD, desc: "Films - 4K Remux", default: true}
    - {id: 418, cat: Movies, desc: "Films - Animation", default: true}
    - {id: 419, cat: Movies/BluRay, desc: "Films - BDRip / BRRip", default: true}
    - {id: 420, cat: Movies/DVD, desc: "Films - DVD-R", default: true}
    - {id: 421, cat: Movies/DVD, desc: "Films - DVDRip", default: true}
    - {id: 422, cat: Movies/BluRay, desc: "Films - Full Bluray", default: true}
    - {id: 423, cat: Movies/HD, desc: "Films - HDTV", default: true}
    - {id: 424, cat: Movies/HD, desc: "Films - HD 1080p", default: true}
    - {id: 425, cat: Movies/HD, desc: "Films - HD 720p", default: true}
    - {id: 426, cat: Movies/HD, desc: "Films - HDLiGHT / M-HD", default: true}
    - {id: 427, cat: Movies/HD, desc: "Films - HDRiP", default: true}
    - {id: 428, cat: Movies, desc: "Films - Pack", default: true}
    - {id: 429, cat: Movies, desc: "Films - Remux", default: true}
    - {id: 430, cat: TV, desc: "Films - TVRip", default: true}
    - {id: 431, cat: Movies, desc: "Films - VO", default: true}
    - {id: 432, cat: Movies, desc: "Films - VOSTFR", default: true}
    - {id: 433, cat: Movies/WEB-DL, desc: "Films - Web", default: true}
    - {id: 434, cat: Movies/HD, desc: "Films - x265", default: true}
    - {id: 436, cat: Console, desc: "Jeux - Consoles", default: true}
    - {id: 437, cat: PC/Games, desc: "Jeux - PC", default: true}
    - {id: 438, cat: PC/0day, desc: "Logiciels -  Windows", default: true}
    - {id: 439, cat: Other, desc: "Logiciels - Graph / Wallpaper", default: true}
    - {id: 440, cat: TV/HD, desc: "Series - 4K HDR", default: true}
    - {id: 441, cat: TV/HD, desc: "Series TV - Pack HD", default: true}
    - {id: 442, cat: TV/HD, desc: "Series TV - Episode HD", default: true}
    - {id: 443, cat: TV/HD, desc: "Series TV - Pack HD VOSTFR", default: true}
    - {id: 444, cat: TV/HD, desc: "Series TV - Episode HD VOSTFR", default: true}
    - {id: 445, cat: TV/SD, desc: "Series TV - Pack SD", default: true}
    - {id: 446, cat: TV/SD, desc: "Series TV - Episode SD", default: true}
    - {id: 447, cat: TV/SD, desc: "Series TV - Pack SD VOSTFR", default: true}
    - {id: 448, cat: TV/SD, desc: "Series TV - Episode SD VOSTFR", default: true}
    - {id: 449, cat: TV/Anime, desc: "Series - Animés", default: true}
    - {id: 450, cat: TV, desc: "Spectacles - Tous", default: true}
    - {id: 451, cat: TV, desc: "TV - Emissions", default: true}
    - {id: 452, cat: TV/Documentary, desc: "TV - Documentaires", default: true}
    - {id: 453, cat: TV/Sport, desc: "TV - Sports", default: true}
    - {id: 435, cat: XXX, desc: "Films - XXX", default: false}
    - {id: 456, cat: XXX/Other, desc: "BD - XXX", default: false}
    - {id: 457, cat: XXX/Other, desc: "ebook - xxx", default: false}

  modes:
    search: [q]
    tv-search: [q, season, ep, imdbid]
    movie-search: [q, imdbid]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.
  - name: multilang
    type: checkbox
    label: Replace MULTi by another language in release name
    default: false
  - name: multilanguage
    type: select
    label: Replace MULTi by this language
    default: FRENCH
    options:
      FRENCH: FRENCH
      MULTi FRENCH: MULTi FRENCH
      ENGLISH: ENGLISH
      MULTi ENGLISH: MULTi ENGLISH
      VOSTFR: VOSTFR
      MULTi VOSTFR: MULTi VOSTFR
  - name: vostfr
    type: checkbox
    label: Replace VOSTFR and SUBFRENCH with ENGLISH
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      4: created
      7: seeders
      5: size
      1: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "Account retention rules:<ol><li>Any account with an Uploaded and Downloaded amount of 0 will be deleted if users have not logged in for more than 30 days</li><li>Any account inactive for 60 days is automatically deleted</li><li>Any account On Vacation and inactive for 180 days is automatically deleted.</li></ol>"

login:
  path: login.php
  method: form
  form: form[action="takelogin.php"]
  captcha:
    type: image
    selector: img[alt="CAPTCHA"]
    input: imagestring
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    logout: ""
    securelogin: ""
  error:
    - selector: td.embedded:has(h2:contains("Erreur")) # invalid captcha
    - selector: td.embedded:has(h2:contains("Échec")) # invalid uid or pwd
      message:
        selector: td.text
  test:
    path: index.php
    selector: a[href="logout.php"]

search:
  paths:
    - path: torrents.php
      categories: [409, 410, 411, 412, 413, 414, 415, 416, 417, 418, 419, 420, 421, 422, 423, 424, 425, 426, 427, 428, 429, 430, 431, 432, 433, 434, 436, 437, 438, 439, 440, 441, 442, 443, 444, 445, 446, 447, 448, 449, 450, 451, 452, 453]
    - path: special.php
      categories: [435, 456, 457]
  inputs:
    $raw: "{{ range .Categories }}cat{{.}}=1&{{end}}"
    search: "{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{ else }}{{ .Keywords }}{{ end }}"
    # 0 incldead, 1 active, 2 dead
    incldead: 0
    # 0 all, 1 normal, 2 free, 3 2x, 4 2xfree, 5 50%, 6 2x50%, 7 30%
    spstate: "{{ if .Config.freeleech }}2{{ else }}0{{ end }}"
    # 0 title, 1 descr, 3 uploader, 4 imdburl
    search_area: "{{ if .Query.IMDBID }}4{{ else }}0{{ end }}"
    # 0 AND, 1 OR, 2 exact
    search_mode: 0
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"
    notnewword: 1

  rows:
    selector: table.torrents > tbody > tr:has(a[href^="download.php?id="])

  fields:
    category:
      selector: a[href^="?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title_phase1:
      selector: a[href^="details.php?id="] b
    title_vostfr:
      text: "{{ .Result.title_phase1 }}"
      filters:
        - name: re_replace
          args: ["(?i)\\b(vostfr|subfrench)\\b", "ENGLISH"]
    title_phase2:
      text: "{{ if .Config.vostfr }}{{ .Result.title_vostfr }}{{ else }}{{ .Result.title_phase1 }}{{ end }}"
    title_multilang:
      text: "{{ .Result.title_phase2 }}"
      filters:
        - name: re_replace
          args: ["(?i)\\b(MULTI(?!.*(?:FRENCH|ENGLISH|VOSTFR)))\\b", "{{ .Config.multilanguage }}"]
    title:
      text: "{{ if .Config.multilang }}{{ .Result.title_multilang }}{{ else }}{{ .Result.title_phase2 }}{{ end }}"
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: a[href^="download.php?id="]
      attribute: href
    poster:
      selector: img[data-src]
      attribute: data-src
    date_elapsed:
      # time type: time elapsed (default)
      selector: td.rowfollow:nth-child(4) > span[title]
      attribute: title
      optional: true
      filters:
        - name: append
          args: " +01:00" # CET
        - name: dateparse
          args: "yyyy-MM-dd HH:mm:ss zzz"
    date_added:
      # time added
      selector: td.rowfollow:nth-child(4):not(:has(span))
      optional: true
      filters:
        - name: append
          args: " +01:00" # CET
        - name: dateparse
          args: "yyyy-MM-ddHH:mm:ss zzz"
    date:
      text: "{{ if or .Result.date_elapsed .Result.date_added }}{{ or .Result.date_elapsed .Result.date_added }}{{ else }}now{{ end }}"
    size:
      selector: td.rowfollow:nth-child(5)
    seeders:
      selector: td.rowfollow:nth-child(6)
    leechers:
      selector: td.rowfollow:nth-child(7)
    grabs:
      selector: td.rowfollow:nth-child(8)
    description:
      case:
        span[title="Autorisé"]: "Verified"
        span[title="Pas examiné"]: "Unverified"
        span[title="Refusé"]: "Banned"
    downloadvolumefactor:
      case:
        img.pro_free: 0
        img.pro_free2up: 0
        img.pro_50pctdown: 0.5
        img.pro_50pctdown2up: 0.5
        img.pro_30pctdown: 0.3
        "*": 1
    uploadvolumefactor:
      case:
        img.pro_50pctdown2up: 2
        img.pro_free2up: 2
        img.pro_2up: 2
        "*": 1
    minimumratio:
      text: 1.0
# NexusPHP v1.7.30 2022-11-05
